# Bibliothèque libcatwalk

La bibliothèque du jeu Catwalk, servant de base pour que ses différentes interfaces puissent fonctionner

## Comment s'organise-t-elle ?

Quatre couples de fichiers :
+ `grid.h` et `grid.c`, qui sert de base, qui définit la structure de la grille ;
+ `route.h` et `route.c`, qui définit la structure du parcours du chat, qui sert à la fois pour la génération de la grille, et pour le parcours joué ;
+ `indicators.h` et `indicators.c`, qui définit la structure des nombres affichés autour de la grille ;
+ `directions.h` et `directions.c`, qui définit la structure des directions que peut prendre le chat après une case.

Ainsi, les fichiers sont installés dans :
+ `/usr/local/lib/libcatwalk.so`
+ `/usr/local/include/catwalk/*.h`

## Instructions d'installation

1. En premier lieu, il faut cloner le dépôt et y accéder:
```
$ git clone https://git.kaz.bzh/valentin/libcatwalk.git
$ cd libcatwalk
```
2. Ensuite, il faut compiler la bibliothèque : 
```
$ make
```
3. Enfin, il faut installer la bibliothèque :
```
$ sudo make install
```
ou
```
# make install
```

## Désinstallation

```
$ sudo make uninstall
```
ou
```
# make uninstall
```